.form-edit-field-data__input {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding: 10px 30px 10px 30px;
    .input-table{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 100%;
        min-height: 60px;
        // height: 65px;
        padding-bottom: 5px;
        &:nth-child(4){
            min-height: 50px;
            padding-bottom: 0;
            & > div {
                padding-bottom: 0.6rem;
            }
        }
    }
    .item-field-title {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        padding-left: 1rem;
        padding-bottom: 1.2rem;
        flex: 1;
        span {
            font-size: 1.4rem;
            line-height: 1.3rem;
            color: rgb(26, 24, 24);
        }
    }

    .item-field-body {
        display: flex;
        flex-direction: column;
        width: 100%;
        flex: 2;
        .field-input-container {
            display: flex;
            align-items: center;
            width: 100%;
            .input-section {
                width: calc(100% - 20px);
            }
            .input-icon-required {
                display: flex;
                justify-content: flex-end;
                width: 20px;

                img {
                    height: 10px;
                    width: 10px;
                }
            }
        }
        .error-message{
            display: flex;
            flex: 10;
            align-items:center;
            padding-top: 5px;
            min-height: 12px;
            span{
                color: #AF4D53;
                font-size: 1.2rem;
                line-height: 1rem;
            }
        }
    }


    input {
        flex: 10;
        height: 40px;
        border-radius: 0.8rem;
        border: 0.1rem solid #d5dee8;
        width: 100%;
        margin: 0;
        padding: 5px 10px;
        background: white;
        transition: border-color 0.3s;
        color: rgb(26, 24, 24);

        &:focus {
            border-color: #6868ac !important;
            box-shadow: none !important;
        }
        &:read-only{
            pointer-events: none;
        }
        &.error{
            border-color: #dd3a09;
        }
    }
    /* Chrome, Safari, Edge, Opera */
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    /* Firefox */
    input[type=number] {
        -moz-appearance: textfield;
    }

    .confirm__action{
        display: flex;
        justify-content: flex-end;
        align-items: center;
        width: 100%;

        .action__save{
            width: 70px;
            height: 40px;
            background: #68AC8E;
            color: white;
            border-radius: 10px;
            font-size: 1.4rem;
            line-height: 1.2rem;
        }
    }
}
